require("scripts/selection scripts/SelectionManager.lua");

SManager = SelectionManager.create();

SManager:AddFlowers(FlowerType.FLOWERS8, "flowersGD", true);
SManager:AddFlowers(FlowerType.FLOWERS2, "flowersTC", false);
SManager:AddFlowers(FlowerType.FLOWERS3, "flowersWRB", false);

SManager:AddAppetizer(AppetizerType.ASPARAGUS, "asparagusAsian", true);
SManager:AddAppetizer(AppetizerType.QUICHE, "quicheSpinach", true);
SManager:AddAppetizer(AppetizerType.SHRIMP, "shrimpGarlicLemon", false);

SManager:AddMeal(MealType.PASTA, "fettucine", true);
SManager:AddMeal(MealType.FISH, "fishGrilledLemonHal", false);
SManager:AddMeal(MealType.CHICKEN, "chickenOrange", false);

PreWeddingSelection = SManager:GenerateSelection(SelectionType.FLOWERS, SelectionType.APPETIZER, SelectionType.MEAL);

dofile("scripts/selection scripts/SelectionDialogGenerator.lua");